{# @var craft \craft\web\twig\variables\CraftVariable #}
{% extends "tickit/_layouts" %}

{% set title = ("Statuses"|t) %}

{% block actionButton %}

    {#{% if currentUser.can("freeform-settingsManage") %}#}
        <div class="buttons">
            <a class="btn submit add icon" href="{{ url('tickit/statuses/new') }}">
                {{ "New Status"|t }}
            </a>
        </div>
    {#{% endif %}#}

{% endblock %}

{% set statuses = craft.tickit.statuses.getAllStatuses() %}

{% set content %}
    <style>
        .color-indicator{display:inline-block;width:10px;height:10px;margin-right:5px;box-shadow:inset 0 0 1px rgba(0,0,0,0.6);border-radius:5px}
    </style>
    <div id="nostatuses"{% if statuses %} class="hidden"{% endif %}>
        <p>{{ "No statuses found"|t }}</p>
    </div>

    {% if statuses|length %}
        <table id="statuses" class="data fullwidth collapsible">
            <thead>
            <th scope="col">{{ "Name"|t }}</th>
            <th scope="col">{{ "Handle"|t }}</th>
            <th scope="col">{{ "Is Default"|t }}</th>
            <td class="thin"></td>
            </thead>
            <tbody>
            {% for status in statuses %}
                <tr data-id="{{ status.id }}" data-name="{{ status.name|t }}">
                    <th scope="row" data-title="{{ 'Name'|t }}">
                        <span class="color-indicator" style="background: {{ status.color }};"></span>
                        {% if currentUser.can("tickit-settingsManage") %}
                            <a href="{{ url('tickit/statuses/' ~ status.id) }}">
                                {{ status.name }}
                            </a>
                        {% else %}
                            {{ status.name }}
                        {% endif %}
                    </th>
                    <td data-title="{{ 'Handle'|t }}">
                        <code>
                            {{ status.handle }}
                        </code>
                    </td>
                    <td>{% if status.isDefault %}<span data-icon="check"></span>{% endif %}</td>
                    <td class="thin">
                        {% if currentUser.can("tickit-settingsManage") %}
                            <a class="delete icon" title="{{ 'Delete'|t }}" role="button"></a>
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    {% endif %}
{% endset %}

{% js %}
    var adminTable = new Craft.AdminTable({
    tableSelector: '#statuses',
    noObjectsSelector: '#nostatuses',
    newObjectBtnSelector: '#newstatuscontainer',
    deleteAction: 'tickit/statuses/delete',
    confirmDeleteMessage: '{{ "Are you sure you want to delete this status?"|t }}',
    sortable: false,
    //reorderAction: 'tickit/statuses/reorder',
    reorderSuccessMessage: '{{ "Success"|t }}',
    reorderFailMessage:    '{{ "Failed"|t }}',
    });
{% endjs %}